com.fasterxml.jackson.databind.type

## Class TypeParser.MyTokenizer

- java.lang.Object
- - java.util.StringTokenizer
  - - com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer

All Implemented Interfaces:
  Enumeration<Object>

Enclosing class:
  TypeParser

    protected static final class TypeParser.MyTokenizer
    extends StringTokenizer

### Field Summary

Fields
`protected int` `_index`
`protected String` `_input`
`protected String` `_pushbackToken`

### Constructor Summary

Constructors
Constructor and Description
`MyTokenizer(String str)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAllInput()`
`String` `getRemainingInput()`
`boolean` `hasMoreTokens()`
`String` `nextToken()`
`void` `pushBack(String token)`

### Methods inherited from class java.util.StringTokenizer

`countTokens, hasMoreElements, nextElement, nextToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _input

    protected final String _input

#### _index

    protected int _index

#### _pushbackToken

    protected String _pushbackToken

### Constructor Detail

#### MyTokenizer

    public MyTokenizer(String str)

### Method Detail

#### hasMoreTokens

    public boolean hasMoreTokens()

Overrides:
  `hasMoreTokens` in class `StringTokenizer`

#### nextToken

    public String nextToken()

Overrides:
  `nextToken` in class `StringTokenizer`

#### pushBack

    public void pushBack(String token)

#### getAllInput

    public String getAllInput()

#### getRemainingInput

    public String getRemainingInput()